import React, { Component } from 'react'
import Taro from '@tarojs/taro'
import '../../assets/css/reset.less'
import '../../assets/css/iconfont.less'
import './index.less'

export default class NavHeader extends Component {

  state = {
    MarginTop: 0,
    LineHeight: 0
  }

  componentWillMount () {
    console.log(this.props.IsFixed)
    this.setState({
      MarginTop: Taro.getMenuButtonBoundingClientRect().top,
      LineHeight: Taro.getMenuButtonBoundingClientRect().height
    })
  }

  componentDidMount () { }

  componentWillUnmount () { }

  componentDidShow () { }

  componentDidHide () { }

  render () {
    const { MarginTop, LineHeight } = this.state
    const { BgColor = '#fff', IsFixed = false, Title = '香颂蔚澜' } = this.props
    return (
      <view className='NavHeader' style={{background: BgColor, position: IsFixed ? 'absolute' : 'relative'}}>
        <text style={{marginTop: `${MarginTop}px`, lineHeight: `${LineHeight}px`}}>{Title}</text>
      </view>
    )
  }
}
