import React, { Component } from 'react'
import WuYeJiaoFeiItem from '../WuYeJiaoFeiItem/index'
import '../../assets/css/reset.less'
import '../../assets/css/iconfont.less'
import './index.less'

export default class WuYeJiaoFei extends Component {

  state = {
    PageList: ['', '', '', '', '', '', ''],
    TestImg: 'https://timgsa.baidu.com/timg?image&quality=80&size=b9999_10000&sec=1606120989360&di=8610f1678b51e26de6d4c6af39d1cf63&imgtype=0&src=http%3A%2F%2Fattachments.gfan.com%2Fforum%2F201503%2F19%2F211608ztcq7higicydxhsy.jpg'
  }

  componentWillMount () { }

  componentDidMount () { }

  componentWillUnmount () { }

  componentDidShow () { }

  componentDidHide () { }

  render () {
    const { TestImg, PageList } = this.state
    return (
      <view className='WuYeJiaoFei'>

        {/* 大图 */}
        <view className='BigImg'>
          <image mode='aspectFill' src={TestImg} className='centerLabel'></image>
        </view>

        {/* 缴费列表 */}
        <view className='List'>
          {
            PageList.map((item, index) => (
              <view key={`WuYeJiaoFeiItem-${index}`}>
                <WuYeJiaoFeiItem Data={item}></WuYeJiaoFeiItem>
              </view>
            ))
          }
        </view>

      </view>
    )
  }
}
