import React, { Component } from 'react'
import ActivityListItem from '../../../components/ActivityListItem/index'
import '../../../assets/css/reset.less'
import '../../../assets/css/iconfont.less'
import './index.less'

export default class ShouYeHuoDong extends Component {

  state = {
    ActivityList: ['', '', '', '', '', '', '', ''],
    IsPull: false
  }

  componentWillMount () { }

  componentDidMount () { }

  componentWillUnmount () { }

  componentDidShow () { }

  componentDidHide () { }

  OnRefresh () { // 页面下拉刷新
    this.setState({
      IsPull: true
    }, () => {
      window.setTimeout(() => {
        this.setState({
          IsPull: false
        })
      }, 1000)
    })
  }

  render () {
    const { IsPull, ActivityList } = this.state
    return (
      <view className='ShouYeHuoDong'>
        <scroll-view scroll-y='true' style='height: 100%;' refresher-enabled={true} onrefresherrefresh={this.OnRefresh.bind(this)} refresher-triggered={IsPull} refresher-background='none'>
          <view className='ShouYeHuoDongContent'>
            {
              ActivityList.map((item, index) => (
                <view className='ListItem' key={`ActivityItem-${index}`}>
                  <ActivityListItem Data={item}></ActivityListItem>
                </view>
              ))
            }
          </view>
        </scroll-view>
      </view >
    )
  }
}
